Subject: Re: bug#44503: 27.1; image-scroll-up and image-scroll-down

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Jun 2021 17:09:19 +0200

Eli Zaretskii <[email-masked]> writes:

> I'm not sure I follow: what are you trying to improve/fix/change by
> that, apart of the doc strings?

Doc strings mostly -- if we had a section in the lispref manual that
explains this, we could have the doc strings just refer to that.

But if it's a common pattern, perhaps there could be a new `interactive'
spec -- (interactive "p-but-not-quite") -- but I'm not sure how that
would look, and I wonder whether anybody has any ideas here.

If it's always "like 'p' but an entire page if the prefix isn't
numerical", then that would be a win (and the four commands discussed
here fit that pattern), but I'm not sure how prevalent this pattern is,
so it may not be worth it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no